*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial, Helvetica, sans-serif;
}

body{
    background:#0A0A0A;
    color:#FFFFFF;
}

.container{
    width:90%;
    max-width:1200px;
    margin:auto;
}


header .container{
    display:flex;
    justify-content:space-between;
    align-items:center;
    min-height:110px;
}

nav ul{
    display:flex;
    list-style:none;
    gap:40px;
}

nav a{
    color:white;
    text-decoration:none;
}

.banner{
    background-image:
        linear-gradient(
            rgba(0,0,0,0.75),
            rgba(0,0,0,0.75)
        ),
        url("../imagens/banner.webp");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;

    color:#FFFFFF;
    text-align:center;
    padding:140px 0;
}

.banner h2{
    font-size:64px;
    max-width:1000px;
    margin:0 auto 30px auto;
    line-height:1.1;
}

.banner p{
    max-width:800px;
    margin:auto;
    margin-bottom:35px;
    font-size:20px;
    color:#D0D0D0;
    line-height:1.8;
}

.botao{
    display:inline-block;
    background:#C8A45D;
    color:#000;
    text-decoration:none;

    padding:18px 40px;

    border:2px solid #C8A45D;
    border-radius:50px;

    font-weight:700;
    letter-spacing:1px;

    transition:0.3s;

    box-shadow:0 0 15px rgba(200,164,93,0.25);
}

.botao:hover{
    background:#D8B56A;
    transform:translateY(-3px);

    box-shadow:0 0 25px rgba(200,164,93,0.45);
}

.sobre{
    padding:80px 0;
    background:#121212;
}

.sobre h2{
    margin-bottom:20px;
    color:#C8A45D;
    text-align:center;
    font-size:38px;
    letter-spacing:1px;
}

.categorias{
    padding:80px 0;
    background:#0A0A0A;
}

.categorias h2{
    text-align:center;
    margin-bottom:40px;
    color:#C8A45D;
}

.grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:20px;
}

.card{
    position:relative;

    height:180px;

    display:flex;
    justify-content:center;
    align-items:center;

    border:1px solid #2A2A2A;
    border-radius:10px;

    overflow:hidden;

    background-size:cover;
    background-position:center;

    transition:0.3s;
}

.card::before{
    content:'';
    position:absolute;
    top:0;
    left:0;

    width:100%;
    height:100%;

    background:rgba(0,0,0,0.80);
}

.card h3{
    position:relative;
    z-index:2;

    color:#FFFFFF;
    font-size:32px;
}

.card:hover{
    transform:translateY(-8px);
    border-color:#C8A45D;
}

.card:hover::before{
    background:rgba(0,0,0,0.45);
}

footer{
    background:#151515;
    border-top:3px solid #C8A45D;
    color:white;
    padding:40px 20px;
}

.footer-conteudo{
    width:100%;
    padding:0 20px;
    display:grid;
    grid-template-columns:auto 1fr auto;
    align-items:center;
}

.footer-logo-croma{
    justify-self:start;
    margin-left:0;
}

.footer-logo-croma img{
    height:70px;
    width:auto;
    display:block;
}

.footer-conteudo p{
    text-align:center;
    font-size:16px;
}


header{
    background:#151515;
    border-bottom:3px solid #C8A45D;
}

nav a{
    position:relative;
}

nav a::after{
    content:'';
    position:absolute;
    left:0;
    bottom:-6px;
    width:0;
    height:2px;
    background:#C8A45D;
    transition:0.3s;
}

nav a:hover::after{
    width:100%;
}

nav a:hover{
    color:#C8A45D;
}

.logo img{
    height:100px;
    max-width:380px;
    width:auto;
    display:block;
    filter:drop-shadow(0 0 6px rgba(200,164,93,0.15));
}

.grid-diferenciais{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:25px;
    margin-top:40px;
}

.diferencial{
    background:#0A0A0A;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:12px;
    padding:30px;
    text-align:center;
    transition:0.3s;
}

.diferencial:hover{
    transform:translateY(-5px);
    border-color:#C8A45D;
}

.diferencial h3{
    color:#C8A45D;
    margin-bottom:15px;
}

.diferencial p{
    color:#D0D0D0;
    line-height:1.6;
}
.contato-home{
    background:#121212;
    padding:80px 0;
    border-top:1px solid rgba(200,164,93,0.25);
}

.contato-grid{
    display:grid;
    grid-template-columns:280px 560px 360px;
    gap:40px;
    align-items:center;
    justify-content:center;
}

.contato-logo{
    margin-left:0;
}

.contato-logo img{
    max-width:260px;
    width:100%;
}

.contato-mapa{
    border:1px solid rgba(200,164,93,0.3);
    border-radius:10px;
    overflow:hidden;
}

.contato-mapa iframe{
    width:100%;
    height:300px;
}

.contato-info{
    padding-left:20px;
}

.contato-info h3{
    color:#C8A45D;
    margin-bottom:15px;
}

.contato-info p{
    color:#D0D0D0;
    margin-bottom:18px;
    font-size:16px;
}

.fa-whatsapp{
    color:#25D366;
}

.fa-location-dot{
    color:#EA4335;
}

.fa-envelope{
    color:#C8A45D;
}

.instagram-btn{
    display:inline-flex;
    align-items:center;
    gap:10px;
    color:#FFFFFF;
    text-decoration:none;
    border:1px solid #C8A45D;
    border-radius:30px;
    padding:12px 20px;
    margin-top:20px;
    transition:0.3s;
}

.instagram-btn:hover{
    background:#C8A45D;
    color:#000;
}

.instagram-btn i{
    color:#E1306C;
    font-size:18px;
}

.instagram-btn:hover i{
    color:#000;
}

.whatsapp-fixo{
    position:fixed;
    right:25px;
    bottom:25px;

    width:65px;
    height:65px;

    background:#25D366;
    color:white;

    border-radius:50%;

    display:flex;
    justify-content:center;
    align-items:center;

    font-size:32px;

    text-decoration:none;

    box-shadow:0 0 20px rgba(37,211,102,0.4);

    transition:0.3s;

    z-index:999;
}

.whatsapp-fixo:hover{
    transform:scale(1.1);
    box-shadow:0 0 25px rgba(37,211,102,0.7);
}

@keyframes flutuar{
    0%{
        transform:translateY(0);
    }

    50%{
        transform:translateY(-5px);
    }

    100%{
        transform:translateY(0);
    }
}

.whatsapp-fixo{
    animation:flutuar 2s ease-in-out infinite;
}

.whatsapp-fixo i{
    color:white;
    font-size:35px;
}

.pagina-topo{
    background:#0A0A0A;
    padding:100px 0;
    text-align:center;
    border-bottom:1px solid rgba(200,164,93,0.25);
}

.pagina-topo h1{
    color:#C8A45D;
    font-size:56px;
    margin-bottom:20px;
}

.pagina-topo p{
    color:#D0D0D0;
    font-size:20px;
}

.sobre-pagina{
    background:#121212;
    padding:80px 0;
}

.sobre-conteudo{
    max-width:1000px;
    margin:auto;
    text-align:center;
}

.sobre-texto h2,
.valores h2{
    color:#C8A45D;
    font-size:48px;
    margin-bottom:25px;
}

.sobre-texto p{
    color:#D0D0D0;
    line-height:1.8;
    margin-bottom:18px;
    font-size:18px;
    text-align:center;
}

.sobre-imagem{
    text-align:center;
}

.sobre-imagem img{
    max-width:350px;
    width:100%;
    filter:drop-shadow(0 0 12px rgba(200,164,93,0.25));
}

.valores{
    background:#0A0A0A;
    padding:80px 0;
}

.valores h2{
    text-align:center;
}

.galeria-empresa{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;
    margin-top:60px;
    max-width:900px;
    margin-left:auto;
    margin-right:auto;
}

.foto-empresa{
    background:#0A0A0A;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:12px;
    overflow:hidden;
    transition:0.3s;
}

.foto-empresa:hover{
    transform:translateY(-5px);
    border-color:#C8A45D;
}

.foto-empresa img{
    width:100%;
    height:220px;
    object-fit:cover;
    display:block;
}

.foto-empresa span{
    display:block;
    text-align:center;
    padding:12px;
    color:#C8A45D;
    font-weight:600;
}

.contato-pagina{
    background:#121212;
    padding:80px 0;
}

.contato-cards{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
    margin-bottom:60px;
}

.contato-card{
    background:#0A0A0A;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:12px;
    padding:35px 25px;
    text-align:center;
    text-decoration:none;
    color:#FFFFFF;
    transition:0.3s;
}

.contato-card:hover{
    transform:translateY(-6px);
    border-color:#C8A45D;
}

.contato-card i{
    font-size:34px;
    margin-bottom:15px;
}

.contato-card h3{
    color:#C8A45D;
    margin-bottom:10px;
}

.contato-card p{
    color:#D0D0D0;
}

.mapa-grande{
    border:1px solid rgba(200,164,93,0.35);
    border-radius:14px;
    overflow:hidden;
    margin-bottom:50px;
}

.endereco-pagina{
    text-align:center;
}

.endereco-pagina h2{
    color:#C8A45D;
    font-size:36px;
    margin-bottom:20px;
}

.endereco-pagina h2 i{
    color:#EA4335;
    margin-left:10px;
    font-size:30px;
}

.endereco-pagina p{
    color:#D0D0D0;
    font-size:18px;
}

.contato-card .fa-whatsapp{
    color:#25D366;
}

.contato-card .fa-envelope{
    color:#C8A45D;
}

.contato-card .fa-instagram{
    color:#E1306C;
}

/* ========================= */
/* PÁGINA PRODUTOS */
/* ========================= */

.catalogo{
    background:#121212;
    padding:80px 0;
}

.catalogo-layout{
    display:grid;
    grid-template-columns:280px 1120px;
    gap:40px;
    justify-content:center;
    align-items:start;
}

.filtros{
    background:#0A0A0A;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:12px;
    padding:25px;
    height:fit-content;
    position:sticky;
    top:30px;
}

.filtros h3{
    color:#C8A45D;
    margin-bottom:20px;
}

.filtro-btn{
    width:100%;
    background:transparent;
    color:#FFFFFF;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:8px;
    padding:12px;
    margin-bottom:10px;
    cursor:pointer;
    transition:0.3s;
}

.filtro-btn:hover{
    border-color:#C8A45D;
}

.filtro-btn.ativo{
    background:#C8A45D;
    color:#000;
    font-weight:700;
}

.catalogo-topo{
    width:1120px;
    margin-bottom:30px;
}

.catalogo-topo input{
    width:100%;
    padding:15px 20px;
    background:#0A0A0A;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:10px;
    color:#FFFFFF;
    font-size:16px;
}

.catalogo-topo input:focus{
    outline:none;
    border-color:#C8A45D;
}

.produtos-grid{
    display:grid;
    grid-template-columns:repeat(4, 260px);
    gap:25px;
}

.produto-card{
    background:#0A0A0A;
    border:1px solid rgba(200,164,93,0.25);
    border-radius:12px;
    overflow:hidden;
    transition:0.3s;
}

.produto-card:hover{
    transform:translateY(-5px);
    border-color:#C8A45D;
}

.produto-card img{
    transition:0.3s;
}

.produto-card:hover img{
    transform:scale(1.05);
}

.produto-imagem{
    height:220px;
    background:#181818;
    display:flex;
    justify-content:center;
    align-items:center;
}

.produto-imagem img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.produto-info{
    padding:20px;
}

.produto-info span{
    color:#C8A45D;
    font-weight:700;
    display:block;
    margin-bottom:10px;
}

.produto-info h3{
    margin-bottom:10px;
    color:#FFFFFF;
}

.produto-info p{
    color:#BDBDBD;
    font-size:14px;
}

/* Responsivo */

@media(max-width:900px){

    .catalogo-layout{
        grid-template-columns:1fr;
    }

    .filtros{
        position:static;
    }

}

.paginacao{
    display:flex;
    justify-content:center;
    gap:10px;
    margin-top:40px;
    padding-left:320px;
}

.paginacao button{
    background:#0A0A0A;
    color:#FFFFFF;
    border:1px solid rgba(200,164,93,0.35);
    padding:10px 15px;
    border-radius:8px;
    cursor:pointer;
}

.paginacao button.ativo,
.paginacao button:hover{
    background:#C8A45D;
    color:#000;
}

.card-acessorios{
    background-image:url("../imagens/categorias/acessorios.jpg");
}

.card-terminais{
    background-image:url("../imagens/categorias/terminais.jpg");
}

.card-chatoes{
    background-image:url("../imagens/categorias/chatoes.jpg");
}

.card-contra{
    background-image:url("../imagens/categorias/contra-argolas.jpg");
}

.titulo-menor{
    font-size:30px !important;
}

.pagina-topo{
    background:#0A0A0A;
}

.topo-produtos-bg{
    background-image:
        linear-gradient(rgba(0,0,0,0.75), rgba(0,0,0,0.75)),
        url("../imagens/banner-produtos.png");

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
}

.modal-imagem{
    display:none;
    position:fixed;
    z-index:9999;
    inset:0;
    background:rgba(0,0,0,0.90);
    justify-content:center;
    align-items:center;
    padding:40px;
}

.modal-imagem img{
    max-width:90%;
    max-height:90%;
    border-radius:12px;
    border:2px solid #C8A45D;
}

.fechar-modal{
    position:absolute;
    top:25px;
    right:35px;
    color:#FFFFFF;
    font-size:45px;
    font-weight:bold;
    cursor:pointer;
    transition:0.3s;
}

.fechar-modal:hover{
    color:#C8A45D;
}

.produto-imagem{
    cursor:pointer;
}